petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscGetVersion

Gets the PETSc version information in a string.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscGetVersion"
    PetscErrorCode PetscGetVersion(char version[], size_t len)

### Input Parameter

len -length of the string

### Output Parameter

version -version string

### Fortran Note

This routine is not supported in Fortran.

Developer Note: The version information is also listed in

       src/docs/tex/manual/intro.tex,

       src/docs/tex/manual/manual.tex.

       src/docs/website/index.html.

### See Also

PetscGetProgramName()

Level:developer
Location:src/sys/objects/version.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages